%define realver 0.6.1
%define major 1
%define minor 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define subrel 1

Summary:	A free library providing windowing and widgets for graphics APIs / engines 
Name:		CEGUI
Version:	%{realver}
Release:	%mkrel 4
License:	MIT 
Group:		Development/C++
Url:		http://www.cegui.org.uk
Source0:	http://prdownloads.sourceforge.net/crayzedsgui/%{name}-%{version}.tar.gz
Patch1:		CEGUI-0.6.1-fix-underlinking.patch
BuildRequires:	libxml2-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	mesaglut-devel
BuildRequires:	freetype2-devel
BuildRequires:	pcre-devel
BuildRequires:	freeimage-devel
BuildRequires:	libexpat-devel
BuildRequires:	libxerces-c-devel
BuildRequires:	gtk2-devel
#BuildRequires:	devil-devel
BuildRequires:	glew-devel
BuildRequires:	tinyxml-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for 
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++, 
and targeted at games developers who should be spending their time creating 
great games, not building GUI sub-systems!

%package -n %{libname}
Summary:	CEGUI library
Group:		Games/Other
Obsoletes:	%mklibname %{name} 0
Conflicts:	%{mklibname CEGUI -d} < 0.6.1-4.1mdv

%description -n %{libname}
This is a library used by CEGUI.

%package -n %{develname}
Summary:	Development files for CEGUI
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d

%description -n  %{develname}
Development file for CEGUI.

%prep
%setup -q -n %{name}-%{realver}
%patch1 -p1

touch NEWS

%build
./bootstrap
%configure2_5x \
	--with-gtk2 \
	--disable-samples \
	--disable-irrlicht-renderer \
	--enable-freeimage
	

# We do not want to get linked against a system copy of ourselves!
sed -i 's|-L%{_libdir}||g' RendererModules/OpenGLGUIRenderer/Makefile
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/*.so.%{minor}*
# This breaks library policy but is needed for #44445. The correct fix
# is too invasive for /updates. Do not revert - AdamW 2008/10
%{_libdir}/*.so

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*la
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*
%{_datadir}/%{name}


%changelog
* Tue Oct 07 2008 Adam Williamson <awilliamson@mandriva.com> 0.6.1-4.1mdv2009.0
+ Revision: 291199
- move .so files to lib package as CEGUI dlopens them (#41006)
- drop userverso.patch (#44445: it totally breaks opening of libs)

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-4mdv2009.0
+ Revision: 279319
- rebuild for fixed freeimage

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-3mdv2009.0
+ Revision: 279202
- disable devil, latest devil version doesn't build

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2009.0
+ Revision: 275925
- Patch1: fix underlinking
- add buildrequires on glew-devel and tinyxml-devel
- kill rpath

  + Emmanuel Andry <eandry@mandriva.org>
    - remove the disable underlinking define (without doing anything special, strange)

* Tue Aug 19 2008 Emmanuel Andry <eandry@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 274077
- set define _disable_ld_no_undefined
- update file list
- New version
- add P?\1950 from fedora

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-4mdv2009.0
+ Revision: 197222
- obsolete older library

* Thu Apr 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-3mdv2009.0
+ Revision: 197194
- fix file list

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.0b-2mdv2009.0
+ Revision: 195622
- new devel library policy
- add missing buildrequires

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 18233
- Fixing buildrequires
  Fixing .so includes

* Wed Apr 25 2007 Erwan Velu <erwan@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 18217
- New buildrequires
- freetype2 was missing
- Import CEGUI

